
# DO source /esarchive/scratch/jramon/GitLab_jramon/auto-s2s/MODULES before opening the R session

setwd("/esarchive/scratch/jramon/GitLab_jramon/auto-s2s/")
source("modules/Loading/Loading.R")
source("modules/Downscaling/Downscaling.R")
source("modules/Calibration/Calibration.R")
source("modules/Skill/Skill.R")
source("modules/Saving/Saving.R")
source("modules/Visualization/Visualization.R")

recipe_file <- "modules/Loading/testing_recipes/recipe_system5c3s-tas_downscaling.yml"
recipe <- prepare_outputs(recipe_file)
#archive <- read_yaml(paste0(recipe$Run$code_dir, "conf/archive.yml"))$archive

# Load datasets
data <- load_datasets(recipe)
# Downscale datasets
downscaled_data <- downscale_datasets(recipe, data)
# Compute skill
skill_metrics <- compute_skill_metrics(recipe, downscaled_data$hcst$simple_bias, data$obs)
# Plot data
plot_data(recipe, calibrated_data = NULL, skill_metrics = NULL,
	  probabilities = NULL, significance = F)
